<?php

namespace PhpOffice\PhpPresentation\Writer\ProseMirror;

class PageNumberSlideHolder extends WithTextBox
{
    public static $instanceCount = 0;
    public $type = 'page_number_slide_holder';

    public function __construct($slide, $container)
    {
        parent::__construct($slide, $container);
        $this->setAttr('type_id', '0');

        self::$instanceCount++;
    }

    protected function createShape()
    {
        $shape = new Shape();
        $shape->type = 'page_number_slide_holder_shape';
        return $shape;
    }

    protected function createTextBlock()
    {
        $textBlock = new Node();
        $textBlock->type = 'page_number_slide_holder_text_block';

        return $textBlock;
    }

    public static function getInstanceCount()
    {
        return self::$instanceCount;
    }
}

?>
