<?php

namespace PhpOffice\PhpPresentation\Writer\ProseMirror;

class SubTitleSlideHolder extends WithTextBox
{
    public $type = 'sub_title_slide_holder';

    public function __construct($slide, $container)
    {
        parent::__construct($slide, $container);
        $this->setAttr('type_id', '0');
    }

    protected function createShape()
    {
        $shape = new Shape();
        $shape->type = 'sub_title_slide_holder_shape';
        return $shape;
    }

    protected function createTextBlock()
    {
        $textBlock = new Node();
        $textBlock->type = 'sub_title_slide_holder_text_block';

        return $textBlock;
    }
}

?>
